#include <bits/stdc++.h>
using namespace std;

struct Node {
    long long val, task, ind;
};

void rec(long long i, vector<Node> &v, vector<vector<long long> > &ans, long long s, long long flag, long long task,
         long long subtask) {
    if (i == v.size()) {
        if (s == 0) {
            cout << "Yes" << "\n";
            for (int k = 0; k < ans.size(); ++k) {
                cout << ans[k].size() << "\n";
                for (int j = 0; j < ans[k].size(); ++j) {
                    cout << ans[k][j] << "\n";
                }
            }
            exit(0);
        }
    } else {
        if (s < 0) {
            return;
        }
        if (v[i + 1].task != task) {
            if (flag == 0) {
                ans[task].push_back(subtask + 1);
                rec(i + 1, v, ans, s - v[i].val, 0, task + 1, 0);
                ans[task].pop_back();
            } else {
                rec(i + 1, v, ans, s, 0, task + 1, 0);
                ans[task].push_back(subtask + 1);
                rec(i + 1, v, ans, s - v[i].val, 0, task + 1, 0);
                ans[task].pop_back();
            }
        } else {
            rec(i + 1, v, ans, s, 0, task, subtask + 1);
            ans[task].push_back(subtask + 1);
            rec(i + 1, v, ans, s - v[i].val, 1, task, subtask + 1);
            ans[task].pop_back();
        }
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n, s;
    cin >> n >> s;
    vector<long long> k(n);
    vector<Node> v;
    for (long long i = 0; i < n; i++) {
        cin >> k[i];
        for (int j = 0; j < k[i]; ++j) {
            long long val;
            cin >> val;
            v.push_back({val, i, j});
        }
    }
    vector<vector<long long> > ans(n);
    if (n == 1) {
        vector<pair<long long, long long> > dp(s + 1);
        dp[0].first = 1;
        for (int i = 0; i < v.size(); ++i) {
            for (long long j = dp.size()-1; j >= 0; --j) {
                if (dp[j].first != 0 && j + v[i].val < dp.size() && dp[j + v[i].val].first==0) {
                    dp[j + v[i].val] = {1, v[i].ind};
                }
            }
        }
        if (dp[s].first == 1) {
            cout << "Yes" << "\n";
            long long cur = s;
            while (cur != 0) {
                ans[0].push_back(dp[cur].second);
                cur -= v[dp[cur].second].val;
            }
            for (int k = 0; k < ans.size(); ++k) {
                cout << ans[k].size() << "\n";
                for (int j = 0; j < ans[k].size(); ++j) {
                    cout << ans[k][j]+1 << " ";
                }
            }
        } else {
            cout << "No";
        }
    }
    else {
        rec(0, v, ans, s, 0, 0, 0);
        cout << "No";
        return 0;
    }
}
